<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">

    <module name="qvm" package="com.axelor.apps.qvm.db"/>

    <entity name="QvmMachineLocation">
        <string name="name" title="Location" required="true"/>
        <!-- <many-to-one name="parent" ref="com.axelor.apps.qvm.db.QvmMachineLocation" title="parent"/> -->
        <one-to-many name="machineList" ref="com.axelor.apps.production.db.Machine" mappedBy="machineLocation" title="Machine List" />
        <integer name="orderByState"/>
        <!-- <integer name="stockUnity" selection="operation.parent.location.select" default="0"/> -->
        <integer name="qvmParentLocation" selection="operation.parent.location.select" default="0"/>
        <integer name="typeSelect" title="Type Select" default="0"/>
    </entity>

</domain-models>
